<template>
    <div class="container">
        <div style="width: 100%; height: 70px; position: fixed; background-color: white">
            <el-button style="float: left; margin-top: 20px" @click="goHome" type="primary">Назад</el-button>
        </div>
        <ul style="margin: 0; padding: 80px 0 0 0">
            <div class="hover" style="display: flex; height: 50px; align-items: center; padding: 5px" v-for="(item, index) in measures" :key="item.id">
                <li style="text-align: left; width: auto; font-weight: bold; color: #606266;line-height: 16px; list-style: none">{{item}}:
                    <span style="text-align: left; width: auto; margin-left: 0.5rem; color: black; font-weight: normal">
                        {{values[index]}}
                    </span>
                </li>
            </div>
        </ul>
    </div>
</template>

<script>
  import task from '../../data/task.json'

  export default {
    name: "itemData",
    data() {
      return {
        measures: [],
        values: []
      }
    },
    mounted() {
      this.getItemData()
    },
    methods: {
      goHome() {
        this.$router.push({ path: `/` })
      },
      getItemData() {
        const data = JSON.parse(JSON.stringify(task))
        const foundItem = data.find(item => item.kopuk === this.$router.history.current.params.id)
        delete foundItem.order
        this.measures = Object.keys(foundItem).map(item => {
          return item.replace(/_/g, ' ').toUpperCase()
        })
        this.values = Object.values(foundItem)
      }
    }
  }
</script>

<style scoped>
    .container {
        width: 90%;
        margin: 0 auto;
    }
    .hover:hover {
        background-color: #F5F7FA;
    }
</style>
